package com.ejie.ad74a.util.constantes;

import com.ejie.ad74a.model.Combo;
import com.ejie.ad74a.util.comun.Utilidades;

/**
 * Tipos de entrada
 */

public enum AccionesTelevidaEnum {

	ALTA("1", "ALTA_INSTALACION"), //
	VALORACION("2", "VALORACION"), //
	UPDATE("3", "UPDATE"), //
	PRESTACION("4", "PRESTACION"), //
	QUEJAS_RECLAMACIONES("5", "QUEJAS_RECLAMACIONES"), //
	BAJA_BENEFICIARIO("6", "BAJA_BENEFICIARIO"), //
	BAJA_INSTALACION("7", "BAJA_INSTALACION"), //
	CAMBIO_DOMICILIO("8", "CAMBIO_DOMICILIO");

	private AccionesTelevidaEnum(String id, String labelDesc) {
		this.labelDesc = labelDesc;
		this.id = id;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public String getLabelDesc() {
		return this.labelDesc;
	}

	public Combo getCombo() {
		return new Combo(id.toString(), labelDesc, labelDesc);
	}
}
